/** PSP helper library ***************************************/
/**                                                         **/
/**                          kybd.h                         **/
/**                                                         **/
/** This file contains declarations for virtual keyboard    **/
/** implementation routines                                 **/
/**                                                         **/
/** Copyright (C) Akop Karapetyan 2007                      **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef _PSP_KYBD_H
#define _PSP_KYBD_H

#include "ctrl.h"

#ifdef __cplusplus
extern "C" {
#endif

void pspKybdCreate();
void pspKybdDestroy();
void pspKybdReinit(int(*Callback)(unsigned int code));
void pspKybdShow();
int  pspKybdNavigate(SceCtrlData *pad, void(*Callback)(unsigned char code, int on));

#ifdef __cplusplus
}
#endif

#endif  // _PSP_KYBD_H
