/** PSP helper library ***************************************/
/**                                                         **/
/**                          png.h                          **/
/**                                                         **/
/** This file contains declarations for PNG loading/saving  **/
/** routines. It is based on, and adapted from NesterJ      **/
/** v1.11 code by Ruka                                      **/
/**                                                         **/
/** Copyright (C) Akop Karapetyan 2007                      **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef _PSP_PNG_H
#define _PSP_PNG_H

#include "image.h"

#ifdef __cplusplus
extern "C" {
#endif

PspImage* pspPngLoadImage(const char *path);
PspImage* pspPngLoadImageOpen(FILE *fp);
int pspPngSaveImage(const char *path, PspImage* image);
int pspPngSaveImageOpen(FILE *fp, PspImage* image);

#ifdef __cplusplus
}
#endif

#endif  // _PSP_PNG_H
